Issue 92343 - svtools: suspicious throw
Summary: svtools: suspicious throw
Status: CLOSED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: code (show other issues)
Version: DEV300m27
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: OOo 3.1
Assignee: carsten.driesner
QA Contact: Unknown
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-31 17:03 UTC by caolanm
Modified: 2009-04-08 14:15 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch to change (1.00 KB, patch)
2008-07-31 17:03 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2008-07-31 17:03:34 UTC
I see places where exceptions are caught by reference and then rethrow with a
throw of that object, instead of just a bare throw; I suspect that we don't want
to do that really.
Comment 1 caolanm 2008-07-31 17:03:56 UTC
Created attachment 55482 [details]
patch to change
Comment 2 carsten.driesner 2008-08-15 11:57:23 UTC
cd: Thanks for the patch Caolan, I will check the patch as soon as possible. Set
correct target to OOo 3.1.
Comment 3 carsten.driesner 2008-08-29 09:16:38 UTC
cd: Fixed.
Comment 4 carsten.driesner 2008-12-12 13:04:31 UTC
cd: Verified.
Comment 5 dtardon 2009-04-08 14:15:37 UTC
seen in DEV300_m45 and OOO310_m9